Subject: Re: bug#20433: Keyboard not working on laptop with guixSD

From: [email-masked] (Ludovic Courtès)
Date: Sun, 17 Jan 2016 22:15:27 +0100

Ricardo Wurmus <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Ricardo Wurmus <[email-masked]> skribis:
>>
>>> So, using HIDBP is probably wrong and might very well be the cause.
>>> Looking at the module names again I searched the logs for “usbkbd” and,
>>> yes, the GuixSD logs contain this line:
>>>
>>>     usbcore: registered new interface driver usbkbd
>>
>> Do you think we should remove usbkbd from (gnu system linux-initrd)?
>> Is there another module we should load instead?
>
> I don’t know why one would want to use “usbkbd” and thus HIDBP.  As far
> as I understand “usbhid” should be sufficient.

Looking at the description you pasted, I agree with you.
I’ve removed usbkbd loading in commit b153f9f.

Jessica, could you confirm one way or another that usbkbd is the
culprit?

Thanks,
Ludo’.